Bug 322331 - Fails to detect webcam video device
Fails to detect webcam video device
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cheese (Show other bugs)
9
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-07 13:29 EDT by Adam Huffman
Modified: 2009-07-14 12:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:00:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Huffman 2007-10-07 13:29:43 EDT
Description of problem:
When I start cheese there is an error message - "failed to detect a webcam -
sorry".  There is a webcam on my laptop, using the r5u870 driver.  A while ago
there was a problem caused by the lack of a v4l2 source in
gstreamer-plugins-good but that seems to be present now and the video source is
detected by effectv and xawtv, though it also doesn't work in ekiga.

Version-Release number of selected component (if applicable):
cheese-0.2.4-2.fc8

How reproducible:
Every time

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Video source is not detected

Expected results:
Video source should be detected

Additional info:

Here's the command-line output:

** Message: Probing the webcam, please ignore the following, not applicabable tries
** Message: Error running pipeline 'v4l2src ! fakesink': Could not negotiate
format [gstbasesrc.c(2062): gst_base_src_start (): /pipeline0/v4l2src0:
Check your filtered caps, if any]
** Message: test pipeline for v4l2src failed:
[v4l2src ! fakesink]: Could not negotiate format
** Message: Error running pipeline 'v4lsrc !
video/x-raw-rgb,width=640,height=480 ! fakesink': Could not negotiate format
[gstbasesrc.c(2062): gst_base_src_start (): /pipeline1/v4lsrc0:
Check your filtered caps, if any]
** Message: test pipeline for v4lsrc failed:
[v4lsrc ! video/x-raw-rgb,width=640,height=480 ! fakesink]: Could not negotiate
format
** Message: Error running pipeline 'v4lsrc !
video/x-raw-yuv,width=640,height=480 ! fakesink': Could not negotiate format
[gstbasesrc.c(2062): gst_base_src_start (): /pipeline2/v4lsrc1:
Check your filtered caps, if any]
** Message: test pipeline for v4lsrc failed:
[v4lsrc ! video/x-raw-yuv,width=640,height=480 ! fakesink]: Could not negotiate
format
** Message: Error running pipeline 'v4lsrc !
video/x-raw-rgb,width=320,height=240 ! fakesink': Could not negotiate format
[gstbasesrc.c(2062): gst_base_src_start (): /pipeline3/v4lsrc2:
Check your filtered caps, if any]
** Message: test pipeline for v4lsrc failed:
[v4lsrc ! video/x-raw-rgb,width=320,height=240 ! fakesink]: Could not negotiate
format
** Message: Error running pipeline 'v4lsrc !
video/x-raw-rgb,width=1280,height=960 ! fakesink': Could not negotiate format
[gstbasesrc.c(2062): gst_base_src_start (): /pipeline4/v4lsrc3:
Check your filtered caps, if any]
** Message: test pipeline for v4lsrc failed:
[v4lsrc ! video/x-raw-rgb,width=1280,height=960 ! fakesink]: Could not negotiate
format
** Message: Error running pipeline 'v4lsrc !
video/x-raw-rgb,width=174,height=144 ! fakesink': Could not negotiate format
[gstbasesrc.c(2062): gst_base_src_start (): /pipeline5/v4lsrc4:
Check your filtered caps, if any]
** Message: test pipeline for v4lsrc failed:
[v4lsrc ! video/x-raw-rgb,width=174,height=144 ! fakesink]: Could not negotiate
format
** Message: Error running pipeline 'v4lsrc !
video/x-raw-rgb,width=160,height=120 ! fakesink': Could not negotiate format
[gstbasesrc.c(2062): gst_base_src_start (): /pipeline6/v4lsrc5:
Check your filtered caps, if any]
** Message: test pipeline for v4lsrc failed:
[v4lsrc ! video/x-raw-rgb,width=160,height=120 ! fakesink]: Could not negotiate
format
** Message: Error running pipeline 'v4lsrc ! fakesink': Could not negotiate
format [gstbasesrc.c(2062): gst_base_src_start (): /pipeline7/v4lsrc6:
Check your filtered caps, if any]
** Message: test pipeline for v4lsrc failed:
[v4lsrc ! fakesink]: Could not negotiate format
using photo source: videotestsrc
using video source: videotestsrc
Comment 1 Ignacio Vazquez-Abrams 2007-12-08 14:04:14 EST
I have a feeling that this is related to bug #316931.
Comment 2 Ignacio Vazquez-Abrams 2007-12-08 14:14:33 EST
Scratch that. That's a different issue.
Comment 3 Edward Karavakis 2008-02-26 12:20:44 EST
I've got the same problem: http://bugzilla.gnome.org/show_bug.cgi?id=513280
Comment 4 Bug Zapper 2008-05-13 23:20:22 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Hans de Goede 2008-09-03 03:40:33 EDT
This is most likely due to the r5u870 using a funky video format. I'm working on adding support for this format to libv4l, then you should be able to get the cam to work in both cheese and ekiga by using libv4l, I'll get back to you on that.

For more info about the format problem see:
http://wiki.mediati.org/Support

And then the "Bad colour errors" paragraph.
Comment 6 Hans de Goede 2008-09-03 08:26:47 EDT
It is done, download it here:
http://people.atrpms.net/~hdegoede/libv4l-0.4.3.tar.gz

And then:
tar xvfz libv4l-0.4.3.tar.gz
cd libv4l-0.4.3
make
sudo make install PREFIX=/usr
 or:
sudo make install PREFIX=/usr LIBDIR=/usr/lib64 (on x86_64)

Then do:
export LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so

And then (finally) start up ekiga or cheese, note that the application must be started from the same terminal as where the export command was done!

Also do you have the necessary firmware files installed? See:
http://wiki.mediati.org/
Comment 7 Bug Zapper 2009-06-09 18:55:07 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 12:00:46 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.